;-------------------------------------------------------------------------
;used:	a0, a1, a2
;cycle: 67
;byte: 22
;
get_crc:
	in	savesreg, sreg
	eor	crc_lo, ia0
	ldi	a0, 8
	ldi	a1, 0x01
	ldi	a2, 0xA0
_crc1:	lsr	crc_hi
	ror	crc_lo
	brcc	_crc2
	eor	crc_lo, a1
	eor	crc_hi, a2
_crc2:	dec	a0
	brne	_crc1
	out	sreg, savesreg
	ret
;-------------------------------------------------------------------------
